org.jboss.resteasy.auth.oauth

## Interface OAuthConsumerRegistration

- All Known Subinterfaces:
    OAuthProvider
  All Known Implementing Classes:
    MyProvider, OAuthMemoryProvider, OAuthProviderChecker

      public interface OAuthConsumerRegistration

  Registration of OAuth consumers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthConsumer` | `registerConsumer(String consumerKey, String displayName, String connectURI)` Creates a new OAuth Consumer
    `void` | `registerConsumerPermissions(String consumerKey, String[] permissions)` Registers Consumer Permissions
    `void` | `registerConsumerScopes(String consumerKey, String[] scopes)` Registers Consumer Scopes

- - ### Method Detail

    - #### registerConsumer

          OAuthConsumer registerConsumer(String consumerKey,
                                       String displayName,
                                       String connectURI)
                                         throws OAuthException

      Creates a new OAuth Consumer
      Parameters:
        `consumerKey` - the Consumer key.
      Returns:
        consumer secret.
      Throws:
        `OAuthException` - thrown if Consumer can not be registered.

    - #### registerConsumerScopes

          void registerConsumerScopes(String consumerKey,
                                    String[] scopes)
                                      throws OAuthException

      Registers Consumer Scopes
      Parameters:
        `consumerKey` - the Consumer key.
      Throws:
        `OAuthException` - thrown if scopes can not be registered.

    - #### registerConsumerPermissions

          void registerConsumerPermissions(String consumerKey,
                                         String[] permissions)
                                           throws OAuthException

      Registers Consumer Permissions
      Parameters:
        `consumerKey` - the Consumer key.
      Throws:
        `OAuthException` - thrown if permissions can not be registered.

Copyright © 2014. All Rights Reserved.